# Copyright Verizon Media. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.

# Force special prefix for Vespa
%define _prefix /opt/vespa-deps

# Only strip debug info
%global _find_debuginfo_opts -g

# Version
%define ver_major 0
%define ver_minor 13
%define ver_patch 0
%define ver_release 1

Summary     : dwz compiled for vespa
Name        : vespa-dwz
Version     : %{ver_major}.%{ver_minor}.%{ver_patch}
Release     : %{ver_release}%{?dist}
Group       : Development/Tools
License     : GPLv3+
URL         : https://sourceware.org/dwz
Source0     : https://www.sourceware.org/ftp/dwz/releases/dwz-0.13.tar.gz

BuildRequires: make
BuildRequires: elfutils-libelf-devel

%if 0%{?el7}
%define _devtoolset_enable /opt/rh/devtoolset-9/enable
BuildRequires: devtoolset-9-gcc
%endif
%if 0%{?el8}
%define _devtoolset_enable /opt/rh/gcc-toolset-9/enable
BuildRequires: gcc-toolset-9-gcc
%endif
%if 0%{?fedora}
BuildRequires: gcc
%endif

%description
dwz compiled for vespa

%prep
%setup -n dwz

%build
%if 0%{?_devtoolset_enable:1}
source %{_devtoolset_enable} || true
%endif
make -j8 prefix=%{_prefix}

%install
make install prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%{_prefix}

%changelog
